ExtensionType (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class ExtensionType

- java.lang.Object
- - org.bouncycastle.crypto.tls.ExtensionType

-     public class ExtensionType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `client_certificate_url`
    `static int` | `ec_point_formats`
    `static int` | `elliptic_curves`
    `static int` | `encrypt_then_mac`
    `static int` | `extended_master_secret`
    `static int` | `heartbeat`
    `static int` | `max_fragment_length`
    `static int` | `negotiated_ff_dhe_groups`
    `static int` | `renegotiation_info`
    `static int` | `server_name`
    `static int` | `session_ticket`
    `static int` | `signature_algorithms`
    `static int` | `srp`
    `static int` | `status_request`
    `static int` | `truncated_hmac`
    `static int` | `trusted_ca_keys`
    `static int` | `use_srtp`
    `static int` | `user_mapping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### server_name

          public static final int server_name

      See Also:
        Constant Field Values

    - #### max_fragment_length

          public static final int max_fragment_length

      See Also:
        Constant Field Values

    - #### client_certificate_url

          public static final int client_certificate_url

      See Also:
        Constant Field Values

    - #### trusted_ca_keys

          public static final int trusted_ca_keys

      See Also:
        Constant Field Values

    - #### truncated_hmac

          public static final int truncated_hmac

      See Also:
        Constant Field Values

    - #### status_request

          public static final int status_request

      See Also:
        Constant Field Values

    - #### user_mapping

          public static final int user_mapping

      See Also:
        Constant Field Values

    - #### elliptic_curves

          public static final int elliptic_curves

      See Also:
        Constant Field Values

    - #### ec_point_formats

          public static final int ec_point_formats

      See Also:
        Constant Field Values

    - #### srp

          public static final int srp

      See Also:
        Constant Field Values

    - #### signature_algorithms

          public static final int signature_algorithms

      See Also:
        Constant Field Values

    - #### use_srtp

          public static final int use_srtp

      See Also:
        Constant Field Values

    - #### heartbeat

          public static final int heartbeat

      See Also:
        Constant Field Values

    - #### encrypt_then_mac

          public static final int encrypt_then_mac

      See Also:
        Constant Field Values

    - #### extended_master_secret

          public static final int extended_master_secret

      See Also:
        Constant Field Values

    - #### session_ticket

          public static final int session_ticket

      See Also:
        Constant Field Values

    - #### negotiated_ff_dhe_groups

          public static final int negotiated_ff_dhe_groups

      See Also:
        Constant Field Values

    - #### renegotiation_info

          public static final int renegotiation_info

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtensionType

          public ExtensionType()